namespace DataSharing
{
    public interface IChannelConfigurationManager
    {
        /// <summary>
        /// 获取服务名称
        /// </summary>
        /// <returns></returns>
        string GetConfigurationProcessingServices();


        /// <summary>
        /// 获取是否开启推送
        /// </summary>
        /// <returns></returns>
        bool GetConfigurationIsOpenPush();

        /// <summary>
        /// 业务系统附件上传配置
        /// </summary>
        /// <returns></returns>
        ConfigurationBusinessFile GetConfigurationBusinessFile();

        /// <summary>
        /// 写入工单数据
        /// </summary>
        /// <returns></returns>
        ConfigurationHotlineClient GetConfigurationHotlineClient();

        /// <summary>
        /// 省12345配置
        /// </summary>
        /// <returns></returns>
        ConfigurationProvince GetConfigurationProvince();
    }
}
